> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/cmp/mobile-sdk/android/logging.md).

# Logging

The Didomi SDK on Android will log various informational and error messages.\
We use the [standard android.util.Log mechanism](https://developer.android.com/reference/android/util/Log) to log messages.

## Format

Messages logged by the SDK use the tag `Didomi` to indicate their origin.

Example:

![](https://1703900661-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LDh8ZWDZrXs8sc4QKEQ%2Fuploads%2Fgit-blob-5968281f54d97f619fc75ea647508958427d3027%2FScreen%20Shot%202020-06-10%20at%206.21.19%20PM.png?alt=media)

## Levels

We use the [standard log levels supported by android.util.Log](https://developer.android.com/reference/android/util/Log#constants_1): `DEBUG`, `ERROR`, `INFO`, `VERBOSE`, and `WARN`.

You can decide what level of messages should be logged by the SDK by calling the `setLogLevel` function before `initialize`

{% tabs %}
{% tab title="Java" %}

```java
Didomi.getInstance().setLogLevel(android.util.Log.INFO);
Didomi.getInstance().initialize(...);
```

{% endtab %}

{% tab title="Kotlin" %}

```
Didomi.getInstance().setLogLevel(android.util.Log.INFO)
Didomi.getInstance().initialize(...)
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Java" %}

```java
Didomi.getInstance().setLogLevel(android.util.Log.INFO);
Didomi.getInstance().initialize(...);
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
Didomi.getInstance().setLogLevel(android.util.Log.INFO)
Didomi.getInstance().initialize(...)
```

{% endtab %}
{% endtabs %}

{% hint style="danger" %}
Make sure that the call to `setLogLevel` is done before the call to `initialize` or some messages will be logged at the wrong level.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/cmp/mobile-sdk/android/logging.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
